The setScriptPath purpose

- « Yaf_View_Interface::render

- Yaf_View_Simple »

- PHP Manual
- Yaf_View_Interface
- The setScriptPath purpose

# Yaf_View_Interface::setScriptPath

(Yaf >=1.0.0)

Yaf_View_Interface::setScriptPath — The setScriptPath purpose

### Description

abstract public Yaf_View_Interface::setScriptPath(string `$template_dir`): void

Set the templates base directory, this is usually called by Yaf_Dispatcher

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`template_dir`

  A absolute path to the template directory, by default, Yaf_Dispatcher use application.directory . "/views" as this paramter.

### Return Values